VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.1#0"; "COMDLG32.OCX"
Begin VB.Form frmResults 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Print Preview"
   ClientHeight    =   6735
   ClientLeft      =   1590
   ClientTop       =   1440
   ClientWidth     =   9510
   Icon            =   "results.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   6735
   ScaleWidth      =   9510
   Begin VB.CommandButton cmdNextPage 
      Caption         =   "Next Page"
      Enabled         =   0   'False
      Height          =   375
      Left            =   8400
      TabIndex        =   7
      Top             =   5160
      Width           =   1095
   End
   Begin VB.CommandButton cmdPrevPage 
      Caption         =   "Prev Page"
      Enabled         =   0   'False
      Height          =   375
      Left            =   8400
      TabIndex        =   6
      Top             =   4680
      Width           =   1095
   End
   Begin VB.PictureBox picPreviewFrame 
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      ForeColor       =   &H80000008&
      Height          =   6375
      Left            =   0
      ScaleHeight     =   6345
      ScaleWidth      =   8085
      TabIndex        =   3
      TabStop         =   0   'False
      Top             =   240
      Width           =   8115
      Begin VB.PictureBox picPreviewScrollWindow 
         Appearance      =   0  'Flat
         BackColor       =   &H80000005&
         BorderStyle     =   0  'None
         ForeColor       =   &H80000008&
         Height          =   6375
         Left            =   0
         ScaleHeight     =   6375
         ScaleWidth      =   8115
         TabIndex        =   4
         TabStop         =   0   'False
         Top             =   0
         Width           =   8115
         Begin VB.PictureBox picPreview 
            Appearance      =   0  'Flat
            AutoRedraw      =   -1  'True
            BackColor       =   &H80000005&
            BorderStyle     =   0  'None
            BeginProperty Font 
               Name            =   "Arial"
               Size            =   8.25
               Charset         =   0
               Weight          =   400
               Underline       =   0   'False
               Italic          =   0   'False
               Strikethrough   =   0   'False
            EndProperty
            ForeColor       =   &H80000008&
            Height          =   20000
            Index           =   0
            Left            =   150
            ScaleHeight     =   19995
            ScaleWidth      =   7965
            TabIndex        =   5
            TabStop         =   0   'False
            Top             =   0
            Visible         =   0   'False
            Width           =   7965
         End
      End
   End
   Begin VB.CommandButton cmdClose 
      Caption         =   "&Close"
      Height          =   375
      Left            =   8400
      TabIndex        =   1
      Top             =   6240
      Width           =   1095
   End
   Begin VB.VScrollBar vsbPreview 
      Height          =   6375
      LargeChange     =   1000
      Left            =   8100
      SmallChange     =   200
      TabIndex        =   2
      TabStop         =   0   'False
      Top             =   240
      Width           =   255
   End
   Begin VB.CommandButton cmdPrint 
      Caption         =   "&Print"
      Default         =   -1  'True
      Height          =   375
      Left            =   8400
      TabIndex        =   0
      Top             =   5760
      Width           =   1095
   End
   Begin MSComDlg.CommonDialog dlgPreview 
      Left            =   8520
      Top             =   480
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   327680
      FontSize        =   0
      FromPage        =   1
      Max             =   99
      ToPage          =   99
   End
End
Attribute VB_Name = "frmResults"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit



Private Sub cmdNextPage_Click()

    picPreview(gnCurrPage).Visible = False
    gnCurrPage = gnCurrPage + 1
    picPreview(gnCurrPage).Visible = True
    picPreview(gnCurrPage).Top = 0
    vsbPreview.Value = 0
    
    If gnCurrPage = gnPageNumber Then
        cmdNextPage.Enabled = False
    End If
    
    cmdPrevPage.Enabled = True

End Sub


Private Sub cmdNextPage_KeyDown(KeyCode As Integer, Shift As Integer)

    CheckKeyCode KeyCode

End Sub


Private Sub cmdPrevPage_Click()

    picPreview(gnCurrPage).Visible = False
    gnCurrPage = gnCurrPage - 1
    picPreview(gnCurrPage).Visible = True
    picPreview(gnCurrPage).Top = 0
    vsbPreview.Value = 0
    
    If gnCurrPage = 0 Then
        cmdPrevPage.Enabled = False
    End If
    
    cmdNextPage.Enabled = True

End Sub


Private Sub cmdPrevPage_KeyDown(KeyCode As Integer, Shift As Integer)

    CheckKeyCode KeyCode

End Sub


Private Sub cmdPrint_Click()

    Dim dclock As Double
    Dim nCopies As Integer
    
   
    gbPrint = True
    
    frmResults.dlgPreview.CancelError = True
    
    On Error GoTo ErrorRoutine
    
    frmResults.dlgPreview.Flags = cdlPDNoSelection
    frmResults.dlgPreview.Max = gnPageNumber + 1
    frmResults.dlgPreview.ShowPrinter
    
    frmProject.Show
    
    dclock = Timer
    While Timer < dclock + 0.01
        DoEvents
    Wend
    
    For nCopies = 1 To frmResults.dlgPreview.Copies
        PrintReport frmResults.dlgPreview.FromPage, frmResults.dlgPreview.ToPage
    Next
    
    frmProject.Show
    Me.Hide
    Screen.MousePointer = vbDefault
    Exit Sub
    
ErrorRoutine:

    Select Case Err.Number
        Case 32755 'cancel pressed
            Exit Sub
        Case Else
            Err.Clear
            Resume Next
    End Select
    'If Err.Number <> 0 Then DisplayError "GetLanguages"

End Sub


Private Sub cmdPrint_KeyDown(KeyCode As Integer, Shift As Integer)

    CheckKeyCode KeyCode
    
End Sub


Private Sub cmdClose_Click()
    
    frmResults.Hide
    frmProject.Show

End Sub


Private Sub cmdClose_KeyDown(KeyCode As Integer, Shift As Integer)

    CheckKeyCode KeyCode

End Sub





Private Sub Form_Activate()

    Dim nIndex As Integer
    
    If gnPageNumber > 0 Then
        cmdNextPage.Enabled = True
    Else
        cmdNextPage.Enabled = False
    End If
    
    cmdPrevPage.Enabled = False
    
    vsbPreview.Max = frmResults.picPreview(0).Height _
        - frmResults.picPreviewScrollWindow.Height
    
End Sub

Private Sub Form_Load()

    Dim nIndex As Integer
    
    vsbPreview.LargeChange = vsbPreview.Height
    
    frmResults.Font = "Arial"
    
End Sub





Private Sub vsbPreview_Change()

'    If gnPicureNumber = -1 Then
'        picPreview(0).Top = -(vsbPreview.Value)
'    Else
        'picPreview(gnPicureNumber).Top = -(vsbPreview.Value)
        picPreview(gnCurrPage).Top = -(vsbPreview.Value)
'    End If
    
End Sub


Private Sub vsbPreview_GotFocus()

    'So that the scroll bar doesn't blink when clicked
    'at the bottom of its scroll length
    cmdPrint.SetFocus

End Sub



Public Sub CheckKeyCode(KeyCode As Integer)
'***************************************************************************
'Purpose: Intercept and act on special keys so that up and down arrows and
'         scroll bar works as expected
'Inputs:  KeyCode - The ASCII(?) value of the key pressed
'Outputs: None
'***************************************************************************

    Dim nScrollValue As Integer
    Dim nOnePage As Integer
    
    'Make Up and Down arrows behave like Tab and Shit+Tab
    Select Case KeyCode
        Case vbKeyDown
            SendKeys "{tab}"
        Case vbKeyUp
            SendKeys "+{tab}"
    End Select
    
    'Scroll the form when the scroll bar does not have the focus
    nOnePage = frmResults.vsbPreview.Height
    
    If KeyCode = vbKeyPageUp Or KeyCode = vbKeyPageDown Then
        If KeyCode = vbKeyPageDown Then
            nScrollValue = -frmResults.picPreview(gnCurrPage).Top + nOnePage
        Else
            nScrollValue = -frmResults.picPreview(gnCurrPage).Top - nOnePage
        End If
        'Make sure that the scroll bar 'handle' is not attempted to be positioned
        'below the bottom of the scroll bar.
        If nScrollValue > frmResults.vsbPreview.Max Then
            nScrollValue = frmResults.vsbPreview.Max
            frmResults.picPreview(gnCurrPage).Top = -frmResults.vsbPreview.Max
        End If
        If nScrollValue > 0 Then
            frmResults.vsbPreview.Value = nScrollValue
        Else
            frmResults.vsbPreview.Value = 0
        End If
    End If

End Sub

